/* !Elem: Lex Lexter <hi@leximo.cz> */

.--admin .elem {
  position: relative;
}

/*
  Dot
  ***
*/

.--admin .elem:before {
  content: '';
  pointer-events: none;
  width: 8px;
  height: 8px;
  position: absolute;
  left: 0;
  top: 50%;
  margin: -6px 0 0 -101px;
  background-color: #eee;
  border-radius: 50%;
  opacity: 1;
  transition: 250ms ease-in-out;
}

/* hover */

.--admin .elem:hover:before {
  transform: scale(1.6);
  background-color: #ed6e17;
}

/*
  Label
  ***
*/

.--admin .elem[data-tooltip]:after {
  content: attr(data-tooltip);
  pointer-events: none;
  pointer-events: none;
  position: fixed;
  right: 24px;
  top: 24px;
  padding: 6px 10px 7px 10px;
  background-color: #2A2A2C;
  border-radius: 24px;
  font-size: 12px;
  color: #fff;
  opacity: 0;
  transition: 150ms linear;
}

/* hover */

.--admin .elem[data-tooltip]:hover:after {
  opacity: 1;
}